Package org.flowable.cmmn.model

# Class FlowableListener

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.FlowableListener

All Implemented Interfaces:
  `HasExtensionAttributes`

public class FlowableListener extends CmmnElement

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `event`
  `protected List<FieldExtension>`
  `fieldExtensions`
  `protected String`
  `implementation`
  `protected String`
  `implementationType`
  `protected Object`
  `instance`
  `protected String`
  `onTransaction`
  `protected ScriptInfo`
  `scriptInfo`
  `protected String`
  `sourceState`
  `protected String`
  `targetState`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlowableListener`
  `clone()`
  `String`
  `getEvent()`
  `List<FieldExtension>`
  `getFieldExtensions()`
  `String`
  `getImplementation()`
  `String`
  `getImplementationType()`
  `Object`
  `getInstance()`
  `String`
  `getOnTransaction()`
  `ScriptInfo`
  `getScriptInfo()`
  Return the script info, if present.
  `String`
  `getSourceState()`
  `String`
  `getTargetState()`
  `void`
  `setEvent(String event)`
  `void`
  `setFieldExtensions(List<FieldExtension> fieldExtensions)`
  `void`
  `setImplementation(String implementation)`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setInstance(Object instance)`
  `void`
  `setOnTransaction(String onTransaction)`
  `void`
  `setScriptInfo(ScriptInfo scriptInfo)`
  Sets the script info
  `void`
  `setSourceState(String sourceState)`
  `void`
  `setTargetState(String targetState)`
  `void`
  `setValues(FlowableListener otherListener)`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### event

    protected String event

  - ### sourceState

    protected String sourceState

  - ### targetState

    protected String targetState

  - ### implementationType

    protected String implementationType

  - ### implementation

    protected String implementation

  - ### fieldExtensions

    protected List<FieldExtension> fieldExtensions

  - ### onTransaction

    protected String onTransaction

  - ### scriptInfo

    protected ScriptInfo scriptInfo

  - ### instance

    protected Object instance

- ## Constructor Details

  - ### FlowableListener

    public FlowableListener()

- ## Method Details

  - ### getEvent

    public String getEvent()

  - ### setEvent

    public void setEvent(String event)

  - ### getSourceState

    public String getSourceState()

  - ### setSourceState

    public void setSourceState(String sourceState)

  - ### getTargetState

    public String getTargetState()

  - ### setTargetState

    public void setTargetState(String targetState)

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getImplementation

    public String getImplementation()

  - ### setImplementation

    public void setImplementation(String implementation)

  - ### getFieldExtensions

    public List<FieldExtension> getFieldExtensions()

  - ### setFieldExtensions

    public void setFieldExtensions(List<FieldExtension> fieldExtensions)

  - ### getOnTransaction

    public String getOnTransaction()

  - ### setOnTransaction

    public void setOnTransaction(String onTransaction)

  - ### getScriptInfo

    public ScriptInfo getScriptInfo()
    Return the script info, if present.

    ScriptInfo must be populated, when `<executionListener type="script" ...>` e.g. when implementationType is 'script'.

  - ### setScriptInfo

    public void setScriptInfo(ScriptInfo scriptInfo)
    Sets the script info
    See Also:
      - `getScriptInfo()`

  - ### getInstance

    public Object getInstance()

  - ### setInstance

    public void setInstance(Object instance)

  - ### clone

    public FlowableListener clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(FlowableListener otherListener)